Bug 209987 - [MAINTAINER]: games/eduke32: update to r5765
Summary: [MAINTAINER]: games/eduke32: update to r5765
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-03 09:22 UTC by Piotr Kubaj
Modified: 2016-06-21 12:10 UTC (History)
1 user (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
r5765 (3.33 KB, patch)
2016-06-03 09:22 UTC, Piotr Kubaj
no flags Details | Diff
eduke32.patch (3.54 KB, patch)
2016-06-03 19:17 UTC, Piotr Kubaj
no flags Details | Diff
r5775 + working 9.3 (3.76 KB, patch)
2016-06-16 08:53 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-06-03 09:22:29 UTC
Created attachment 170965 [details]
r5765

Builds fine on Poudriere on 10.3-RELEASE.

Needs the attached patch.
Comment 1 Bugzilla Automation freebsd_committer 2016-06-03 09:22:29 UTC
Maintainer informed via mail
Comment 2 Piotr Kubaj freebsd_committer 2016-06-03 19:16:58 UTC
I forgot to switch to my new email in the previous patch. The news patch includes the new email.
Comment 3 Piotr Kubaj freebsd_committer 2016-06-03 19:17:37 UTC
Created attachment 170986 [details]
eduke32.patch
Comment 4 Dmitry Marakasov freebsd_committer 2016-06-08 17:24:43 UTC
Does not build on 9-amd64:

In file included from build/src/compat.c:822:
build/include/libdivide.h: In function 'long long int __vector__ libdivide_get_00000000FFFFFFFF()':
build/include/libdivide.h:259: note: use -flax-vector-conversions to permit conversions between vectors with differing element types or numbers of subparts
build/include/libdivide.h:259: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide__mullhi_u32_flat_vector(long long int __vector__, long long int __vector__)':
build/include/libdivide.h:296: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h:297: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_mullhi_u64_flat_vector(long long int __vector__, long long int __vector__)':
build/include/libdivide.h:307: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h:308: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h:309: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h:315: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h:316: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_u64_do_vector(long long int __vector__, const libdivide_u64_t*)':
build/include/libdivide.h:730: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_u64_do_vector_alg2(long long int __vector__, const libdivide_u64_t*)':
build/include/libdivide.h:751: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_s64_do_vector(long long int __vector__, const libdivide_s64_t*)':
build/include/libdivide.h:1058: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_s64_do_vector_alg2(long long int __vector__, const libdivide_s64_t*)':
build/include/libdivide.h:1083: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_s64_do_vector_alg3(long long int __vector__, const libdivide_s64_t*)':
build/include/libdivide.h:1091: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
build/include/libdivide.h: In function 'long long int __vector__ libdivide_s64_do_vector_alg4(long long int __vector__, const libdivide_s64_t*)':
build/include/libdivide.h:1098: error: cannot convert 'int __vector__' to 'long long int __vector__' for argument '1' to 'long long int __vector__ __builtin_ia32_psrlqi128(long long int __vector__, int)'
Comment 5 Piotr Kubaj freebsd_committer 2016-06-16 08:53:32 UTC
Created attachment 171476 [details]
r5775 + working 9.3

New patch. Changes:
- update to r5775,
- fixed 9.3 (adding CFLAGS+=	-flax-vector-conversions to Makefile helps).
Comment 6 commit-hook freebsd_committer 2016-06-21 12:10:53 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jun 21 12:10:00 UTC 2016
New revision: 417204
URL: https://svnweb.freebsd.org/changeset/ports/417204

Log:
  - Update to r5775

  PR:		209987
  Submitted by:	pkubaj@anongoth.pl (maintainer)

Changes:
  head/games/eduke32/Makefile
  head/games/eduke32/distinfo
  head/games/eduke32/files/patch-Makefile.common
  head/games/eduke32/files/patch-build_src_baselayer.c